function getIP() {
  return $.ajax({
    type: 'GET',
    url: 'https://ipinfo.io',
    dataType: 'json',
    global: false,
    async: false,
    success: function (data) {
      return data;
    }
  }).responseJSON;
}
function setLeadInfo() {
  let lead_info = {};
  let pages_visited = [];
  if (sessionStorage.getItem('lead_info')) {
    lead_info = JSON.parse(sessionStorage.getItem('lead_info'));
    lead_info['last_visit_page'] = location.pathname;
    pages_visited = lead_info['pages_visited'];
  } else {
    lead_info['landing_page'] = location.pathname;
    lead_info['last_visit_page'] = lead_info['landing_page'];
    lead_info['pages_visited'] = pages_visited;
  }
  let querystring = window.location.search,
      searchParams = new URLSearchParams(querystring);
  let params = {};
  //*** :loop to add key and values to the param object.
  searchParams.forEach(function (value, key) {
    params[key] = value;
  });
  lead_info['params'] = params;//parameters
  if (pages_visited.at(-1) != lead_info['last_visit_page']) {
    pages_visited.push(lead_info['last_visit_page']);
  }
  lead_info['pages_visited'] = pages_visited;
  $.ajax({
    type: 'POST',
    url: location.origin + '/config/lead-info.html',
    dataType: 'json',
    global: false,
    async: false,
    data: lead_info,
    success: function (data) {
      lead_info = {
        ...lead_info,
        ...data
      };
      console.log(lead_info);
      sessionStorage.setItem("lead_info", JSON.stringify(lead_info));
    }
  });
}
setLeadInfo();

let url = "https://calendly.com/d/dj5-prh-wmq/free-consultation-with-an-industry-expert?hide_gdpr_banner=1";
const urlMappings = {
  "ui-ux-design-company.html": "https://calendly.com/d/2z2-hpb-gwb/free-consultation-for-your-product-design?hide_gdpr_banner=1",
  "hire-software-developers.html": "https://calendly.com/d/2z2-g89-kqk/free-consultation-to-hire-your-dedicated-team?hide_gdpr_banner=1"
}
const currentURL = window.location.href;
let requiredUrl = new URL(currentURL).pathname.split('/')[1]
for (const x in urlMappings) {
  if (requiredUrl in urlMappings) {
    url = urlMappings[requiredUrl]
    break;
  }
}
function LoadCalendlyScript(js_url) {
  let lead_info = JSON.parse(sessionStorage.getItem('lead_info'));

  if (lead_info.id) {
    url = url + "&salesforce_uuid=" + lead_info.id
  }
  var script = document.createElement("script");
  script.setAttribute("src", js_url);
  script.setAttribute("async", false);
  document.head.appendChild(script);
  $.getScript(js_url, function () {
    // console.log('Script loaded.');
    Calendly.initPopupWidget({
      url: url,
    });
    $(".calendly-popup-content")
      .find("iframe")
      .attr("data-hj-allow-iframe", true);
    return false;
  });
}

$(document).ready(function () {
  $(".menu-toggle").click(function () {
    // $(".navbar ul").slideToggle(300);
    $('header .navbar ul').toggleClass('transform-nav');
    $('.dropdown-content').removeClass('toggle-block')
  });
  $(window).resize(function () {
    if ($(window).width() > 768) {
      $(".navbar ul").removeAttr("style");
    }
  });

  $(".service-drop").hover(
    function () {
      if ($(this).find(".dropdown-content").css("display") === "block") {
        $(this).find('.dropimg1').attr('src', 'https://d3t43dynlnxdoh.cloudfront.net/assets/images/header-nav/dropdown-img-hover.png');
        $(this).find('.service-drop-head').addClass('nav-hover');
      }
    },
    function () {
      $(this).find('.dropimg1').attr('src', 'https://d3t43dynlnxdoh.cloudfront.net/assets/images/new-pages/dropdown-img.png');
      $(this).find('.service-drop-head').removeClass('nav-hover');
    }
  );
  $('.ind-drop').hover(function () {
    if ($(this).find(".dropdown-content").css("display") === "block") {
      $(this).find('.dropimg2').attr('src', 'https://d3t43dynlnxdoh.cloudfront.net/assets/images/header-nav/dropdown-img-hover.png');
      $(this).find('.ind-drop-head').addClass('nav-hover');
    }
  },
    function () {
      $(this).find('.dropimg2').attr('src', 'https://d3t43dynlnxdoh.cloudfront.net/assets/images/header-nav/dropdown-img.png');
      $(this).find('.ind-drop-head').removeClass('nav-hover');
    }
  );
  if ($(window).width() < 999) {
    $('header .dropdown').click(function () {
      if ($(this).siblings().find('.dropdown-content').hasClass('toggle-block')) {
        $(this).removeClass('toggle-block');
        $(this).prev().removeClass('nav-hover');
      }
      $(this).prev().addClass('nav-hover');
      $(this).find('.dropdown-content').toggleClass('toggle-block');
    });
  }
});
const header = document.querySelector('.navbar');
const headerOffset = header.offsetTop;
function toggleSticky() {
  if (window.pageYOffset > headerOffset) {
    header.classList.add('sticky-nav');
    header.classList.add('container');
  } else {
    header.classList.remove('sticky-nav');
    header.classList.remove('container');
  }
}
window.addEventListener('scroll', toggleSticky);

//onshore offshore default setting
$(document).ready(function() {

  // Check if the toggleButton element exists
  if ($('.pricing-toggle #toggleButton').length > 0) {
    setTimeout(function() {
      $('.pricing-toggle #toggleButton').click();
   
    }, 2001);
    setTimeout(function() {
      $('.hourly2').click();
   
    }, 3000);
  } else {
    console.log('toggleButton element not found');
  }
});